ControllerDynamicMethods (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.metaclass
[Java] Class ControllerDynamicMethods

    java.lang.Object
      org.codehaus.groovy.grails.web.metaclass.ControllerDynamicMethods

    public class ControllerDynamicMethods
    extends java.lang.Object

Holds constants that refer to the names of dynamic methods and properties within controllers

Authors:
  Graeme Rocher

Since:
  Oct 24, 2005

Field Summary
`static java.lang.String` | `ACTION_NAME_PROPERTY`
`static java.lang.String` | `ACTION_URI_PROPERTY`
`static java.lang.String` | `CONTROLLER_NAME_PROPERTY`
`static java.lang.String` | `CONTROLLER_URI_PROPERTY`
`static java.lang.String` | `ERRORS_PROPERTY`
`static java.lang.String` | `FLASH_SCOPE_PROPERTY`
`static java.lang.String` | `GET_TEMPLATE_URI`
`static java.lang.String` | `GET_VIEW_URI`
`static java.lang.String` | `GRAILS_APPLICATION`
`static java.lang.String` | `GRAILS_ATTRIBUTES`
`static java.lang.String` | `HAS_ERRORS_METHOD`
`static java.lang.String` | `MODEL_AND_VIEW_PROPERTY`
`static java.lang.String` | `RENDER_VIEW_PROPERTY`
`static java.lang.String` | `REQUEST_PROPERTY`
`static java.lang.String` | `RESPONSE_PROPERTY`
`static java.lang.String` | `SERVLET_CONTEXT`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### ACTION_NAME_PROPERTY

    public static final java.lang.String ACTION_NAME_PROPERTY

### ACTION_URI_PROPERTY

    public static final java.lang.String ACTION_URI_PROPERTY

### CONTROLLER_NAME_PROPERTY

    public static final java.lang.String CONTROLLER_NAME_PROPERTY

### CONTROLLER_URI_PROPERTY

    public static final java.lang.String CONTROLLER_URI_PROPERTY

### ERRORS_PROPERTY

    public static final java.lang.String ERRORS_PROPERTY

### FLASH_SCOPE_PROPERTY

    public static final java.lang.String FLASH_SCOPE_PROPERTY

### GET_TEMPLATE_URI

    public static final java.lang.String GET_TEMPLATE_URI

### GET_VIEW_URI

    public static final java.lang.String GET_VIEW_URI

### GRAILS_APPLICATION

    public static final java.lang.String GRAILS_APPLICATION

### GRAILS_ATTRIBUTES

    public static final java.lang.String GRAILS_ATTRIBUTES

### HAS_ERRORS_METHOD

    public static final java.lang.String HAS_ERRORS_METHOD

### MODEL_AND_VIEW_PROPERTY

    public static final java.lang.String MODEL_AND_VIEW_PROPERTY

### RENDER_VIEW_PROPERTY

    public static final java.lang.String RENDER_VIEW_PROPERTY

### REQUEST_PROPERTY

    public static final java.lang.String REQUEST_PROPERTY

### RESPONSE_PROPERTY

    public static final java.lang.String RESPONSE_PROPERTY

### SERVLET_CONTEXT

    public static final java.lang.String SERVLET_CONTEXT

Groovy Documentation